Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83736 - See bug #76446
Summary: See bug #76446
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: rcn-7.3
TreeView+ depends on / blocked
 
Reported: 2003-02-07 18:15 UTC by jeff_w_green
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-25 10:21:16 UTC


Attachments (Terms of Use)

Description jeff_w_green 2003-02-07 18:15:24 UTC
Description of problem:

I'm getting exceptions trying to use the Druid to configure
network components - Add/Edit, etc

See bug #76446

Version-Release number of selected component (if applicable):


How reproducible:

Always

Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info:

Applied rpm as suggested in bug#76446

i.e.
 ftp://people.redhat.com/harald/redhat-config-network/1.0.3-1/

Still getting same errors - what am I missing ?

Why doesn't up2date (which I've run repeatedly) handle this ?

Comment 1 Harald Hoyer 2003-02-10 09:50:58 UTC
try this:
# rpm -e redhat-config-network
# rm -fr /usr/share/redhat-config-network
# rpm -ivh redhat-config-network-1.0.3-1.i386.rpm

and maybe these exceptions are not the same as in 76466? Please report the
original exception.

Comment 2 jeff_w_green 2003-02-10 17:54:40 UTC
Hi Harald,

    Many Thanks, these steps seem to have fixed the problem
- I can now use the Druid.

The problem seems to be related to the number of ethernet ports,
<= 6 and everything is OK. I'm using a couple of Dell 2650 boxes
as routers (2 ethernet on m/b) with Adaptec DuraLAN 4 port cards.

Installing 2 Adaptec cards (total 10 ports) provokes the problem 


                     Regards,


Contents of dump follows :-

=======================================================================
Traceback (innermost last):                                                     
  File "/usr/sbin/neat", line 1402, in ?                                        
    gtk.mainloop()                                                              
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2676, in mainloop        
    _gtk.gtk_main()                                                             
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__     
    ret = apply(self.func, a)                                                   
  File "/usr/sbin/neat", line 473, in on_deviceAddButton_clicked                
    interface = NewInterfaceDialog()                                            
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/gui/NewInterfaceDial
og.py", line 82, in __init__                                                    
    iface = iface_creator (self.toplevel, do_save = None, druid = self.druid)   
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/gui/EthernetInterfac
e.py", line 101, in __init__                                                    
    self.hwDruid = ethernetHardware(self.toplevel)                              
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/gui/EthernetHardware
Druid.py", line 64, in __init__                                                 
    self.setup()                                                                
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/gui/EthernetHardware
Druid.py", line 118, in setup                                                   
    list.append(modInfo[i]['description'])                                      
KeyError: description                                                           
                                                                                
Local variables in innermost frame:                                             
modInfo: <netconfpkg.Conf.ConfModInfo instance at 84d3688>                      
list: ['RealTek RTL8129', 'Raytheon Raylink/WebGear/Aviator PCMCIA wireless', 'S
MC Ultra32 EISA', 'DEC 21*40 and clones', 'Lucent Orinoco/Melco PCMCIA wireless 
(alternate)', 'SMC 91c92 series PCMCIA', 'Aironet 4500 PCI-ISA-i365 wireless', '
Intel EtherExpress/1000', 'PCI NE2000 clones', 'MiCom-Interlan NI5010', '3Com 3c
515 Corkscrew', 'SMC 83c170 EPIC/100', 'NI5210 ethernet', 'AT1500, HP J2405A, mo
st NE2100/clone', 'MyriCOM MyriNET SBUS', '3Com EtherLink16', 'AT&T/Lucent/Hitac
hi ISA WaveLAN', 'SiS 900/7016CI', 'Cabletron E2100', 'NE1000, NE2000, and compa
tible', 'Intel EtherExpress Pro 100B', 'Allied Telesis AT1700', 'Greenwigh GIrBI
L IrDA', 'Older DEC 21040, most 21*40', 'NSC IrDA', 'Sun Quad', 'ICL EtherTeam 1
6i/32 EISA', '3Com 3c590/3c595/3c90x/3cx980', '3Com 3c589 series PCMCIA', 'Sun B
igMac', 'ThunderLAN', '3Com 3c574 series PCMCIA', 'Ansel Communications Model 32
00', 'Aironet 4500 PCMCIA wireless', 'Xircom CBE-100 CardBus', 'General Instrume
nts SB1000']                                                                    
self: <netconfpkg.gui.EthernetHardwareDruid.ethernetHardware instance at 8545578

 


Comment 3 Harald Hoyer 2003-02-17 11:38:02 UTC
you do not seem to have version 1.0.3 installed... This exception cannot happen
with the new version.
Please verify with:

$ rpm -q redhat-config-network

that you have installed the correct updated version

Comment 4 Harald Hoyer 2003-03-25 10:21:16 UTC
updates mentioned in #67498


Note You need to log in before you can comment on or make changes to this bug.